> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/lab-tests/biomarker-categories.md).

# Biomarker Categories

Use the `biomarkerCategories` query to return all available biomarker categories.

### Available Arguments

| Argument   | Type   | Description                                                                                            |
| ---------- | ------ | ------------------------------------------------------------------------------------------------------ |
| `first`    | Int    | Retrieves the first results from the list.                                                             |
| `after`    | String | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `before`   | String | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `Id`       | ID     | Id of Biomarker category.                                                                              |
| `last`     | Int    | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `parentId` | ID     | Id of parent category.                                                                                 |

### Available Fields

| Field Name    | Type     | Description                              |
| ------------- | -------- | ---------------------------------------- |
| `id`          | ID       | Id of Biomarker category.                |
| `name`        | String   | Name of category.                        |
| `order`       | Int      | Sets view order, ascending. Default = 0. |
| `createdAt`   | datetime | Use the format: `YYYY-MM-DDT hh:mm:ssZ`  |
| `updatedAt`   | datetime | Use the format: `YYYY-MM-DDT hh:mm:ssZ`  |
| `parent`      | parent   | Parent category.                         |
| `parent.id`   | ID       | Id of parent category.                   |
| `parent.name` | String   | Parent category name.                    |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query {
  biomarkerCategories(first: 2) {
    edges {
      node {
        id
        name
        order
        createdAt
        updatedAt
        parent { 
          id 
          name 
          }
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "biomarkerCategories": {
      "edges": [
        {
          "node": {
            "id": "QmlvbWFya2VyQ2F0ZWdvcnk6NDg=",
            "name": "Adrenocortical hormones",
            "order": 1,
            "createdAt": "2022-11-09T21:15:59.404998+00:00",
            "updatedAt": "2022-11-09T21:15:59.405008+00:00",
            "parent": {
              "id": "QmlvbWFya2VyQ2F0ZWdvcnk6NDQ=",
              "name": "Hormonal studies"
            }
          }
        },
        {
          "node": {
            "id": "QmlvbWFya2VyQ2F0ZWdvcnk6MQ==",
            "name": "Allergy testing",
            "order": 0,
            "createdAt": "2022-11-09T21:15:59.401796+00:00",
            "updatedAt": "2022-11-09T21:15:59.401915+00:00",
            "parent": null
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/lab-tests/biomarker-categories.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
